# Настройка редактора кода для написания постов в Финансовый Компас

1. Устанавливаем VS Code (https://code.visualstudio.com)
2. Устанавливаем node (https://nodejs.org/en)
3. Правой кнопкой мыши по папке "financial-compass-copyrighting" - "Открыть в Code" или "Open in Code":

![alt text](screens/open-with.png)

4. С самого лева нажимаем на кнопку Extensions, пишем в поиске `@recommended` и устанавливаем все

![alt text](screens/exts.png)

5. `Ctrl + ё` - откроется панель снизу на вкладке Terminal

![alt text](screens/open-terminal.png)

6. В строку нужно написать `npm i` и дождаться выполнения команды

![alt text](screens/npm.png)

7. Открываем снизу вкладку Problems и слева выбираем файл `Документ.txt`. Пишем там текст поста и смотрим на вкладку "Problems". Все ошибки будут написаны там. 

![alt text](screens/wip.png)

## Лайфхаки

Красным помечаются ошибки. Оранжевым - рекомендации.

Почти все ошибки можно исправить автоматически. Для этого наводим мышь на подчеркнутое место и в появившемся окне нажимаем `Quick fix...` и выбираем опцию решения. Или можно нажать `Ctrl + ю`, пока курсор стоит на проблемном месте.
